# Generated from color-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name color

Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: Color is a Ruby library to provide RGB, CMYK, HSL, and other color space manipulation support to applications that require it
License: MIT
URL: https://github.com/halostatue/color
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.2
# BuildRequires: rubygem(hoe) >= 4.0
# BuildRequires: rubygem(hoe) < 5
# BuildRequires: rubygem(hoe-halostatue) >= 2.1
# BuildRequires: rubygem(hoe-halostatue) < 3
# BuildRequires: rubygem(hoe-halostatue) >= 2.1.1
# BuildRequires: rubygem(hoe-git) >= 1.6
# BuildRequires: rubygem(hoe-git) < 2
# BuildRequires: rubygem(minitest) >= 5.8
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-autotest) >= 1.0
# BuildRequires: rubygem(minitest-autotest) < 2
# BuildRequires: rubygem(minitest-focus) >= 1.1
# BuildRequires: rubygem(minitest-focus) < 2
# BuildRequires: rubygem(minitest-moar)
# BuildRequires: rubygem(minitest-moar) < 1
# BuildRequires: rubygem(standard) >= 1.0
# BuildRequires: rubygem(standard) < 2
# BuildRequires: rubygem(json)
# BuildRequires: rubygem(simplecov) >= 0.22
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov-lcov) >= 0.8
# BuildRequires: rubygem(simplecov-lcov) < 1
BuildArch: noarch

%description
Color is a Ruby library to provide RGB, CMYK, HSL, and other color space
manipulation support to applications that require it. It provides optional
named
RGB colors that are commonly supported in HTML, SVG, and X11 applications.
The Color library performs purely mathematical manipulation of the colors
based
on color theory without reference to device color profiles (such as sRGB or
Adobe RGB). For most purposes, when working with RGB and HSL color spaces,
this
won't matter. Absolute color spaces (like CIE LAB and CIE XYZ) cannot be
reliably converted to relative color spaces (like RGB) without color profiles.
When necessary for conversions, Color provides D65 and D50 reference white
values in Color::XYZ.
Color 2.0 is a major release, dropping support for all versions of Ruby prior
to
3.2 as well as removing or renaming a number of features. The main breaking
changes are:
- Color classes are immutable Data objects; they are no longer mutable.
- RGB named colors are no longer loaded on gem startup, but must be required
explicitly (this is _not_ done via `autoload` because there are more than 100
named colors with spelling variations) with `require "color/rgb/colors"`.
- Color palettes have been removed.
- `Color::CSS` and `Color::CSS#[]` have been removed.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENCE.md
%{gem_instdir}/Manifest.txt
%{gem_instdir}/SECURITY.md
%{gem_libdir}
%license %{gem_instdir}/licences
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/CONTRIBUTORS.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Sat Jul 05 2025 mockbuilder - 2.0.1-1
- Initial package
